function [s_fore_new, eps_new, ind_acpt] = mutation_RWMH_multistep(s0_fore, ...
    s0, eps0, Phi, sqrtS2, A, B, H, yy, tune)
% RWMH for mutation step

ind_acpt = 0;

% iterate over MH steps
for nn = 1:tune.N_mh

    % RW proposal
    epsx = eps0 + tune.c*chol(tune.R)'*randn(size(tune.R,1),1);
    sx_fore   = Phi*s0 + sqrtS2*epsx;
        
    perrorx = yy'-A - B*sx_fore;
    perror0 = yy'-A - B*s0_fore;
    
    postx = log(mvnpdf(perrorx', zeros(1,size(yy,2)), H)*mvnpdf(epsx'));
    post0 = log(mvnpdf(perror0', zeros(1,size(yy,2)), H)*mvnpdf(eps0'));

    % Accept/Reject
    alp = exp(postx - post0); % this is RW, so q is canceled out
    if rand < alp % accept
       eps_new    = epsx;
       s_fore_new = sx_fore;
       ind_acpt   = ind_acpt + 1;
    else % reject
       eps_new    = eps0;
       s_fore_new = s0_fore;
       ind_acpt   = 0;
    end
    
    eps0 = eps_new;
    s0_fore = s_fore_new;

end

ind_acpt = ind_acpt/tune.N_mh;

% % outside of function
% parasim(i,j,:) = ind_para;
% loglh(j)       = ind_loglh;
% temp_acpt(j,1) = ind_acpt;
